#include <iostream>
#include <vector>
#include <string>
#include <map>
using namespace std;

int paschal(int);
int com_days(int);

int main()
{
	int year;
	string s, r;
	
	cin >> s >> r >> year;
	
	int days = com_days(year);
	
	cout << days;
	
	return 0;
}

int com_days(int y)
{
	if (y % 100 == 0 && y % 400 == 0) 
		return 366;
	else if(y % 100 == 0 && y % 400 != 0)
		return 365;
	else if (y % 4 == 0) 
		return 366;
	return 365;
}

int paschal(int y)
{
	int golden, solar, lunar, p;
	
	golden = (y % 19) + 1;
	solar = (y - 1600) / 100 - (y - 1600) / 400;
	lunar = (((y - 1400) / 100) * 8) / 25;
	p = (300 - (11*golden) + solar - lunar) % 30;
	if ( p == 29 || ( p == 28 && golden > 11)) p--;
	
	return p;
}
